#ifndef KIOSK_PLUGIN_H
#define KIOSK_PLUGIN_H
#include "utils.h"
#include "plugin.h"

class Kiosk_plugin : public Plugin
{
public:
    Kiosk_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;
    QString command;

    QPushButton *btn;

private slots:
    void on_btn_clicked();
};

#endif // KIOSK_PLUGIN_H
