#ifndef MIRAGE_PLUGIN_H
#define MIRAGE_PLUGIN_H
#include "utils.h"
#include "plugin.h"

class Mirage_plugin : public Plugin
{
public:
    Mirage_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void readConfig();
    Plugin *writeConfig();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;
    QString command;

    QLabel *lblPath, *lblNote;
    QLineEdit *txtPath;
    QPushButton *btnFile;
    QCheckBox *chkScreen;

private slots:
    void on_file_selected();
};

#endif // MIRAGE_PLUGIN_H
