#ifndef REMOTE_PLUGIN_H
#define REMOTE_PLUGIN_H
#include "utils.h"
#include "plugin.h"
#include <QRadioButton>

class Remote_plugin : public Plugin
{
public:
    Remote_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void readConfig();
    Plugin *writeConfig();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;

    QLabel *lblDesc, *lblRadio;
    QLineEdit *txtHost, *txtUser, *txtPass, *txtOption;
    QCheckBox *chkScreen;
    QRadioButton *RadioVNC, *RadioRDP;

private slots:
    void on_chk_changed(bool state);
};

#endif // REMOTE_PLUGIN_H
