#ifndef MAIN_H
#define MAIN_H

#include <QThread>
#include <QCoreApplication>
#include <QFile>
#include <QTextStream>
#include <QProcess>
#include <QDir>
#include <unistd.h>
#ifdef __arm__
#define CONFFILE "/home/pi/.config/appstarterrc"
#else
#define CONFFILE "/home/linutop/.config/appstarterrc"
#endif

class Application : public QCoreApplication
{
Q_OBJECT
public:
    Application(int argc, char *argv[]) : QCoreApplication(argc,argv)
    {
        cmdProcess = new QProcess();
        hide = new QProcess();
    }

    ~Application() {}
    QProcess *cmdProcess, *hide;
    QString cmd;
    void start();

public slots:
    void restart(QProcess::ProcessError);
    void needRestart(int code, QProcess::ExitStatus error);
};


#endif // MAIN_H
